SDL_HINT_MAC_BACKGROUND_APP(3)

NAME
SDL_HINT_MAC_BACKGROUND_APP - A variable controlling whether to force the application to become the foreground process when launched on macOS.

HEADER FILE
Defined in SDL3/SDL_hints.h

SYNOPSIS
#include "SDL3/SDL.h"

#define SDL_HINT_MAC_BACKGROUND_APP SDL_MAC_BACKGROUND_APP"

DESCRIPTION
The variable can be set to the following values:

• "0": The application is brought to the foreground when launched.
  (default)

• "1": The application may remain in the background when launched.

This hint needs to be set before SDL_Init ().

AVAILABILITY
This hint is available since SDL 3.2.0.